Initial import of urlview 0.9

based on a submission by seb@gosh.todesplanet.de

urlview is a curses program for extracting URLs from text files and
displaying a menu from which you can select a specific URL to view using
your favorite browser program.
This commit is contained in:
naddy 2000-08-13 00:06:21 +00:00
parent de4154f558
commit 3138c7124f
10 changed files with 232 additions and 0 deletions

38
textproc/urlview/Makefile Normal file
View File

@ -0,0 +1,38 @@
# $OpenBSD: Makefile,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
DISTNAME= urlview-0.9
CATEGORIES= textproc
NEED_VERSION= 1.319
MAINTAINER= seb@gosh.todesplanet.de
PERMIT_PACKAGE_CDROM= Yes
PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
MASTER_SITES= ftp://ftp.mutt.org/pub/mutt/contrib/ \
ftp://ftp.cs.hmc.edu/pub/me/ \
ftp://ftp.cs.tu-berlin.de/pub/net/mail/mutt/ \
ftp://ftp.ilog.fr/pub/Mirrors/mutt/contrib/ \
ftp://ftp.etri.re.kr/pub/mail/mutt/ \
ftp://ftp.pnm.net/pub/unix/mutt/contrib/
FLAVORS= slang
FLAVOR?=
CONFIGURE_STYLE= gnu
SUBST_VARS= SYSCONFDIR
.if ${FLAVOR:L:Mslang}
LIB_DEPENDS= slang.14::devel/libslang
CONFIGURE_ARGS= --with-slang=${LOCALBASE}
CONFIGURE_ENV= LIBS=-lcurses
.endif
post-install:
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/urlview
${INSTALL_DATA} ${WRKSRC}/sample.urlview ${WRKSRC}/url_handler.sh \
${PREFIX}/share/examples/urlview
.include <bsd.port.mk>

View File

@ -0,0 +1,3 @@
MD5 (urlview-0.9.tar.gz) = 67731f73e69297ffd106b65c8aebb2ab
RMD160 (urlview-0.9.tar.gz) = eafefdc7f1fe06f3f45a3f2a694c42dd833a178e
SHA1 (urlview-0.9.tar.gz) = e366312a7dd04eb38909a36f854c502fbe81f4be

View File

@ -0,0 +1,12 @@
$OpenBSD: patch-Makefile_in,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
--- Makefile.in.orig Tue Jul 4 12:16:37 2000
+++ Makefile.in Sat Aug 12 02:35:58 2000
@@ -318,7 +318,7 @@ maintainer-clean-generic clean mostlycle
install-data-local:
- $(INSTALL_DATA) urlview.man $(mandir)/man1/urlview.1
+ $(INSTALL_DATA) urlview.man $(DESTDIR)$(mandir)/man1/urlview.1
# how to create a target for uninstall-data-local???

View File

@ -0,0 +1,13 @@
$OpenBSD: patch-sample_urlview,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
--- sample.urlview.orig Fri Aug 11 15:48:27 2000
+++ sample.urlview Fri Aug 11 15:53:46 2000
@@ -22,7 +22,7 @@ REGEXP (((http|https|ftp|gopher)|mailto)
# Command to invoke for selected URL. Use lynx, netscape, or url_handler.sh
# shell script.
-#COMMAND lynx %s
+COMMAND lynx %s
#COMMAND netscape -remote 'openURL(%s)'
-COMMAND url_handler.sh
+#COMMAND url_handler.sh

View File

@ -0,0 +1,35 @@
$OpenBSD: patch-url_handler_sh,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
--- url_handler.sh.orig Tue Jul 4 12:14:30 2000
+++ url_handler.sh Sat Aug 12 02:38:24 2000
@@ -1,4 +1,4 @@
-#! /bin/bash
+#!/bin/sh
# Copyright (c) 1998 Martin Schulze <joey@debian.org>
# Slightly modified by Luis Francisco Gonzalez <luisgh@debian.org>
@@ -28,11 +28,11 @@
# VT: Launch in the same terminal
# The lists of programs to be executed are
-https_prgs="/usr/X11R6/bin/netscape:XW /usr/bin/lynx:XT"
-http_prgs="/usr/bin/lynx:XT /usr/X11R6/bin/netscape:XW"
-mailto_prgs="/usr/bin/mutt:VT /usr/bin/elm:VT /usr/bin/pine:VT /usr/bin/mail:VT"
-gopher_prgs="/usr/bin/lynx:XT /usr/bin/gopher:XT"
-ftp_prgs="/usr/bin/lynx:XT /usr/bin/ncftp:XT"
+https_prgs="/usr/bin/lynx:XT /usr/local/bin/netscape:XW"
+http_prgs="/usr/local/bin/links:XT /usr/bin/lynx:XT /usr/local/bin/netscape:XW"
+mailto_prgs="/usr/local/bin/mutt:VT /usr/local/bin/pine:VT /usr/bin/mail:VT"
+gopher_prgs="/usr/bin/lynx:XT /usr/local/bin/gopher:XT"
+ftp_prgs="/usr/local/bin/ncftp:XT /usr/bin/lynx:XT /usr/bin/ftp:VT"
# Program used as an xterm (if it doesn't support -T you'll need to change
# the command line in getprg)
@@ -42,7 +42,7 @@ XTERM=/usr/X11R6/bin/xterm
###########################################################################
# Change bellow this at your own risk
###########################################################################
-function getprg()
+function getprg
{
local ele tag prog

View File

@ -0,0 +1 @@
curses-based URL ripper

View File

@ -0,0 +1,49 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
#
# De-installation setup of urlview
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_DIR}/urlview.conf"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
do_notice "$1"
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,3 @@
urlview is a curses program for extracting URLs from text files and
displaying a menu from which you can select a specific URL to view using
your favorite browser program.

View File

@ -0,0 +1,72 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
#
# Pre/post-installation setup of urlview
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_DIR=${SYSCONFDIR}
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/urlview
# Function: install configuration files
#
do_install_conf()
{
install -d -o root -g wheel ${CONFIG_DIR}
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/sample.urlview \
${CONFIG_DIR}/urlview.conf
echo
echo "+---------------"
echo "| The $1 configuration files have been installed in ${CONFIG_DIR}."
echo "| Please view these files and change the configuration to meet"
echo "| your needs."
echo "+---------------"
echo
}
# Function: tell the user what they need to do to use the port just installed
#
do_notice_conf()
{
echo
echo "+---------------"
echo "| The existing $1 configuration files in ${CONFIG_DIR} have NOT"
echo "| been changed. You may want to compare them to the current samples"
echo "| in ${SAMPLE_CONFIG_DIR}, and update your configuration files"
echo "| as needed."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ ! -d ${CONFIG_DIR} ]; then
do_install_conf "$1"
elif [ ! -f ${CONFIG_DIR}/urlview.conf ]; then
do_install_conf "$1"
else
do_notice_conf "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -0,0 +1,6 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2000/08/13 00:06:21 naddy Exp $
bin/urlview
man/man1/urlview.1
share/examples/urlview/sample.urlview
share/examples/urlview/url_handler.sh
@dirrm share/examples/urlview